Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.indexdmr.model
Interface VIndexdmrPackage.Literals

Enclosing interface:
  VIndexdmrPackage

    public static interface VIndexdmrPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `INDEX_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Index Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EAttribute` | `INDEX_DOMAIN_MODEL_REFERENCE__INDEX` The meta object literal for the 'Index' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `INDEX_DOMAIN_MODEL_REFERENCE__PREFIX_DMR` The meta object literal for the 'Prefix DMR' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `INDEX_DOMAIN_MODEL_REFERENCE__TARGET_DMR` The meta object literal for the 'Target DMR' containment reference feature.

Field Detail

### INDEX_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass INDEX_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Index Domain Model Reference`' class.

  See Also:
    `VIndexDomainModelReferenceImpl`, `VIndexdmrPackageImpl.getIndexDomainModelReference()`

### INDEX_DOMAIN_MODEL_REFERENCE__PREFIX_DMR

    static final org.eclipse.emf.ecore.EReference INDEX_DOMAIN_MODEL_REFERENCE__PREFIX_DMR

  The meta object literal for the 'Prefix DMR' containment reference feature.

  Since:
    1.6

### INDEX_DOMAIN_MODEL_REFERENCE__TARGET_DMR

    static final org.eclipse.emf.ecore.EReference INDEX_DOMAIN_MODEL_REFERENCE__TARGET_DMR

  The meta object literal for the 'Target DMR' containment reference feature.

### INDEX_DOMAIN_MODEL_REFERENCE__INDEX

    static final org.eclipse.emf.ecore.EAttribute INDEX_DOMAIN_MODEL_REFERENCE__INDEX

  The meta object literal for the 'Index' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.